Search found 271 matches

Go to advanced search

by flachyjoe
Fri Mar 24, 2017 7:16 am
Forum: Forum français
Topic: Vis sans fin
Replies: 11
Views: 135

Re: Vis sans fin

Du coup dans la v0.17 InvoluteGear pourrait produire directement une esquisse ou même être déplacé comme outil du Sketcher.
by flachyjoe
Thu Mar 23, 2017 8:12 pm
Forum: Forum français
Topic: Sweep automatique dans un script
Replies: 7
Views: 76

Re: Sweep automatique dans un script

Ça mouline sur une section ronde mais ça marche très bien sur une section rectangulaire (avec laquelle j'avais fait mes tests). Si ça se trouve c'est plus rapide d'étendre un seul tour et de le cloner que d'étendre les 3 tours, faut essayer.
by flachyjoe
Thu Mar 23, 2017 7:45 pm
Forum: Forum français
Topic: Sweep automatique dans un script
Replies: 7
Views: 76

Re: Sweep automatique dans un script

Tu peux stocker des objets pour ne pas avoir à appeler des fonctions FreeCAD à chaque pas : #-*- coding: utf-8 -*- from PySide import QtCore class Springer: def __init__(self,doc,obj): self._doc=doc self._obj=obj self._i=0 def step(self): self._i += 1 self._i = self._i % 20 self._obj.Scale.z=(self._...
by flachyjoe
Thu Mar 23, 2017 9:28 am
Forum: Forum français
Topic: Déformer une pièce suivant le profil d'une surface
Replies: 3
Views: 66

Re: Déformer une pièce suivant le profil d'une surface

Salut, Je crois que tu ne pourras pas faire ça de façon paramétrique. Ce que je ferais : - "Déclasser" le volume avec Draft_Downgrade - créer un script qui déclasse chaque face obtenue en Contour puis chaque contour en Segment - Appliquer un transformation en Z = f(x,y,z) sur chaque points...
by flachyjoe
Thu Mar 23, 2017 8:59 am
Forum: Forum français
Topic: Sweep automatique dans un script
Replies: 7
Views: 76

Re: Sweep automatique dans un script

Tu peux faire un Draft_Clone de ton Part_Sweep et modifier la propriété Scale.Z
La section du fil va se déformer aussi mais si c'est juste pour de la visualisation ça doit pas être gênant.
by flachyjoe
Thu Mar 23, 2017 8:54 am
Forum: Forum français
Topic: Vis sans fin
Replies: 11
Views: 135

Re: Vis sans fin

Salut,
tu peux "déclasser" le profil InvoluteGear avec Draft_Downgrade pour récupérer des segments. Comme le profil contient des splines tu ne peux, par contre, pas transformer ça en esquisse, il faut se satisfaire des outils de l'atelier Draft.
by flachyjoe
Wed Mar 22, 2017 9:33 pm
Forum: Forum français
Topic: Vis sans fin
Replies: 11
Views: 135

Re: Vis sans fin

C'est bien une vis sans-fin, à 26 filets et "un peu" étirée... J'ai pas dit que c'était utilisable hein ! :mrgreen:
by flachyjoe
Wed Mar 22, 2017 7:46 pm
Forum: Forum français
Topic: Sweep automatique dans un script
Replies: 7
Views: 76

Re: Sweep automatique dans un script

Salut,

Code: Select all

Gui.updateGui()
ne fait que rafraîchir l'affichage, ça ne met pas à jour le modèle, pour ça il faut utiliser

Code: Select all

FreeCAD.ActiveDocument.recompute()


Bons rebonds !
by flachyjoe
Wed Mar 22, 2017 9:56 am
Forum: Forum français
Topic: Vis sans fin
Replies: 11
Views: 135

Re: Vis sans fin

Si tu n'as pas besoin d'une denture normalisée c'est effectivement le plus simple et moins gourmand que la première méthode. J'ai voulu changer le nombre de dents dans mon fichier et ça rame depuis une demi-heure déjà (sans profiter du quadri core). :cry:
by flachyjoe
Wed Mar 22, 2017 9:17 am
Forum: Forum français
Topic: [A venir] Journée d'initiation - Limoges le 25 Mars 2017
Replies: 15
Views: 772

Re: [A venir] Journée d'initiation - Limoges le 25 Mars 2017

Une table pour 8 est réservée au Café du Théâtre pour samedi midi. Ça fait quelques années que j'y ai été, c'était simple et sympa et je pense que ça l'est encore. 8-)

Go to advanced search